Framing

Specify the framing method used by the network. Contact your telephone company for this information.


Span

Specify the interface to the device on the other side of the link. The following describes the typical case:

Short haul

Specify Short haul in the following instances:

•	A PBX terminates the line into the building

•	The telephone company has installed a smart jack at your site that implements a short haul interface. See your telephone company for this information.

Long haul

Specify Long haul in the following instances:

•	This adapter terminates the line into the building

•	The telephone company has installed a smart jack at your site that implements a long haul interface. See your telephone company for this information.


Line Build Out

Use the Line Build Out value supplied by your telephone company.


Wink Digits

Use the value supplied by your telephone company or used by your PBX.


Switch Type

Select the switch type used by the network. Contact your telephone company for this information.


Short Haul Length

Specify the distance to the nearest device that regenerates the electrical signal. This may be a PBX, a digital cross connect, or some other device.


Signaling

Specify the signaling method to denote an “off hook” condition, which must match the method used by the telephone switch, either the central office switch or PBX.


Encoding

Specify the line encoding method used by your network. Contact your telephone company for this information.


Jitter Attenuator

The Jitter Attenuator is designed to correct synchronization problems. Usually, you can use the default. Change this parameter only if you experience excessive CRC or line errors.

•	Auto means that this adapter determines the most appropriate way to correct synchronization problems.

•	Receive means that the receiver is responsible for correcting synchronization problems.

•	Transmit means that the transmitter is responsible for correcting synchronization problems.

•	Disabled means that the Jitter Attenuator is disabled.


Equalizer Gain Limit

The default works for most sites. Change this parameter only if you encounter excessive line or CRC problems. Then, see if changing this value reduces the number of these problems.


Modem Country/Region

Specify the Modem Country/Region used in this country or region.


Welcome

Use the Wizard to install and configure your Digi product. Please read the information on this screen and press Next when you are ready to continue.


Multiple Lines

If you want to configure each line the same, specify that here; the other line or lines will be automatically configured when you configure the first line.


Line Protocol

Specify the protocol to use on this line. If you do not intend to use one of the lines, specify Disabled. If you select Disabled, the line will not be useable.


Digi Configuration

Use this page to view and change configuration values.

To View Configuration Values

1.	Select an item in the left-hand pane.

2.	View the current configuration value in the right-hand pane.

To Change Configuration Values

1.	Select an item in the left-hand pane.

2.	Press the Properties button.

3.	Specify a new value and then press OK.


Modem Country/Region

Specify the Modem Country/Region used in this country or region.


Line Protocol

Specify the protocol to use on this line. If you do not intend to use one of the lines, specify Disabled. If you select Disabled, the line will not be useable.


CSU

Framing

Use the framing method specified by your telephone company.

Encoding

Use the line encoding method specified by your telephone company.

Long Haul

Specify Long haul in the following instances:

•	This adapter terminates the line into the building

•	The telephone company has installed a smart jack at your site that implements a long haul interface. See your telephone company for this information.

Line Build Out

Use the Line Build Out value specified by your telephone company.

Eq Gain Limit

The default works for most sites. Change the Equalizer Gain Limit only if you encounter excessive line or CRC problems. Then, see if changing this value reduces the number of these problems.

Short Haul

Specify Short haul in the following instances:

•	A PBX terminates the line into the building

•	The telephone company has installed a smart jack at your site that implements a short haul interface. See your telephone company for this information.

Length

Specify the distance to the nearest device that regenerates the electrical signal. This may be a PBX, a digital cross connect, or some other device.


PRI

Select the Switch Type, Address Type, Numbering Plan, and Subaddress Type used by your network. Contact your telephone company for this information.


Advanced

Jitters Attenuator

The Jitter Attenuator is designed to correct synchronization problems. Usually, you can use the default. Change this parameter only if you experience excessive CRC or line errors.

Auto means that this adapter determines the most appropriate way to correct synchronization problems.

Receive means that the receiver is responsible for correcting synchronization problems.

Transmit means that the transmitter is responsible for correcting synchronization problems.

Disabled means that the Jitter Attenuator is disabled.

Clocking

This parameter is only used for test purposes, for connecting two DataFire adapters back-to-back using a crossover cable. The Clocking parameter specifies which side of the connection provides clocking. One side must be setup for Loop and the other for Local.

Loopback

This parameter is only used for test purposes, for connecting two DataFire adapters back-to-back using a crossover cable. One side must be set up for NT and the other for TE.

It is recommended that you setup one side for Clocking=Local and Loopback=NT and the other side for Clocking=Loop and Loopback=TE.


Serial Port

Use this page to rename serial ports.


Done

This page indicates that the configuration is complete.


Welcome

Use the Wizard to install and configure the Digi product. Simply make a configuration choice and then press Next.


Multiple Lines

If you want to configure each line the same, specify that here; the second line will be automatically configured when you configure the first line.


Line Protocol

Specify the protocol to use on this line. If you do not intend to use one of the lines, specify Disabled. If you select Disabled, the line will not be useable.


Clocking Source

Use external clocking if this line is connected to a synchronous modem or another device that provides clocking.


Line Speed

Configures the line speed, measured in bits-per-second, which must match the speed ordered from your network provider.


Sequence Numbering

This needs a new map ID

•	Basic (modulo 8), which is the default, configures modulo 8 sequencing.

•	Extended (modulo 128) configures modulo 128 sequencing


X.25-General

Version

Specifies the version of the X.25 standard implemented on the network to which this system attaches. 1988 is the default.

Mode

Determines which of the following logical functions to perform:

•	DCE--Function as a network device.

•	DTE--Function as a user device attached to the network.

•	DXE--Negotiate with the peer as to which function (DTE or DCE) the DataFire performs.

Note: X.25 requires that one end of a connection function as a DCE and the other as a DTE.

Sequence numbering

Is the sequencing scheme for handling X.25 acknowledgments:

•	Basic (modulo 8), which is the default, configures modulo 8 sequencing.

•	Extended (modulo 128) configures modulo 128 sequencing.

Note: This field does not configure the permitted number of unacknowledged packets (called the window size), but simply the sequence numbering scheme. Use the default or use the Packet Properties page to configure window sizes.

Local address

Configures the line’s DTE address. Use the address the network assigned. The DataFire accepts up to 15 decimal digits.


Channels

Permanent Virtual Circuits

Use this field to configure logical channels for PVCs.

•	Start identifies the lowest logical channel for PVCs.

•	Total identifies the number of logical channels for PVCs.

One-way incoming

Use this field to configure one-way, incoming logical channels for switched virtual circuits (SVCs).

•	Start identifies the lowest one-way, incoming logical channel.

•	Total identifies the number of one-way incoming logical channels.

Two-way

Use this field to configure two-way logical channels for SVCs.

•	Start identifies the lowest two-way logical channel.

•	Total identifies the number of two-way logical channels.

One-way outgoing

Use this field to configure one-way, outgoing logical channels for SVCs.

•	Start identifies the lowest one-way, outgoing logical channel.

•	Total identifies the number of one-way, outgoing logical channels.

Note: Ensure that the types of channels you configure on this page are compatible with the RAS configuration. For example, if you configure only one-way incoming channels here, ensure that the RAS configuration specifies Receive calls only.

Note: The network provides the channel numbers to use in these fields.  Logical channel numbers must be in the range 1 to 4095.


Add and Remove PVCs

Add

Press to add a permanent virtual circuit.

Remove

Select the PVC to remove and then press this button.


WAN

Line Speed

Configures the line speed, measured in bits-per-second, which must match the speed ordered from your network provider.

Clocking

Use external clocking if this line is connected to a synchronous modem or another device that provides clocking.


Switch Type

Select the switch type used by the network. Contact your service provider for this information.


Advanced Settings

The Advanced Settings tab is used to configure Address Type, Subaddress Type, and Back-to-

Back. Contact your service provider for this information.


Switch Type and Auto SPID
Switch Type

Select the switch type used by the network. Contact your service provider for this information.


ISA Resources

Enter the I/O address, memory base address, and interrupt number to be assigned to the adapter. Do not enter values that will conflict with other devices in the system.

Valid I/O addresses range from 100 to 3F0.  Valid interrupts are 3, 5, 7, 12, and 15. The memory base address size is 16KB.


Channel Information

Enter the phone number and SPID number provided by your service provider.

Each line on the adapter may have one or two logical terminals.  For each logical terminal, a phone number may be entered. The Service Profile Identifier (SPID) is required for some ISDN switch types.


Channel Information

Enter the phone number and SPID number provided by your service provider.

Each line on the adapter may have one or two logical terminals.  For each logical terminal, a phone number may be entered. The Service Profile Identifier (SPID) is required for some ISDN switch types.


NRZ or NRZ1
NRZ or NRZI

Choose the line encoding method ordered from your service provider.


Frame Relay Line Properties

Connection Type

Should be Frame Relay for frame relay connections.

Line speed

Configures the line speed, measured in bits-per-second, which must match the speed ordered from your network provider.

External/Internal

Configures clocking for this line. Use external if this line is connected to a synchronous modem or another device that provides clocking.


General Frame Relay Properties
Frame Relay General Properties

Maximum frame size

Determines the maximum frame size for this line, which must be the size agreed to by your network provider.

BECN flow control

Determines what is done when a backward explicit congestion notification, which is notification to a transmitting device that the network is congested, is received. Checking this value means transmission will be throttled back. Most systems can use the default.

Transmit optimization

Determines how to handle output that arrives so fast that the CIR will be exceeded if the output is forced onto the line immediately. Most systems can use the default (medium), which means data will be buffered. Other settings are Conservative, which means that drop data in excess of the CIR and Aggressive, which means force all data onto the line, even if the rate exceeds the CIR.


Frame Relay Local Management Interface Properties
Frame Relay Local Management Interface

LMI revision

Configures the protocol used for exchange of line management information. Your selection must match the protocol used by the network.

Data link connection identifier (DLCI)

Identifies the virtual circuit used to exchange management information. Use the default, or see your network service provider for the DLCI to use.

Full status enquiry count (N1)

Configures the count of status enquires between system requests for a Full Status message from the network. The default works for most systems.

Error threshold (N2) and Monitored events count (N3)

Configures the error threshold (N2) and the monitored events count for this link. These parameters work together. If N2 errors occur in the course of handling N3 frames, the line is assumed down and diagnostic action initiated. The defaults work for most systems.

Status enquiry period (T1)

Configures the period (in seconds) between heartbeat polls sent to the network. The default works for most systems.

Flow control

Enables flow control if you use the Stratacom LMI revision, which provides additional flow control to BECN and FECN. If you enable this parameter, this system responds to network congestion by throttling back its transmission rate.

Bandwidth control

Enables bandwidth control if you use the Stratacom revision. If you enable this parameter, the network switch instructs the frame relay device on the throughput rates to use on each PVC when the network is congested.


Frame Relay Permanent Virtual Circuit (Access)

Add

Allows you to add virtual circuits to the configuration.

Clone

Allows you to use the configuration values of the selected virtual circuit to configure another virtual circuit.

Configure

Allows you to change the configuration of the selected virtual circuit.

Remove

Allows you to remove a virtual circuit from the configuration.


Frame Relay Permanent Virtual Circuit Properties

Data link identifier (DLCI)

Identifies this virtual circuit. The number you use here must be one of those supplied to you by the network service provider.

Committed information rate

Configures the normal transmission rate (bps) for this virtual circuit. Enter the rate you ordered from the network service provider.

Description

Provides a way for you to easily identify this virtual circuit.

FRF.9 compression

Determines if the system negotiates to use the compression techniques defined in the Frame Relay Forum document Data Compression over Frame Relay Implementation Agreement-FRF.9. Compression can be enabled only if both sides of a connection agree to use it through FRF.9 compression negotiations.


Frame Relay Permanent Virtual Circuit (Protocol Support)

Notes:

•	The protocols and routing/bridging options you specify here must be identical to those configured on the other side of this virtual circuit, that is, with the peer system. You can enable one or all the protocols listed.

•	You can specify TCP/IP, IPX, or Other, which means any protocol other than TCP/IP or IPX. Use Other if you intend to run SNA protocols over this PVC.

•	There is slightly less overhead if you use routing encapsulation. Therefore, the only reason to use either type of bridging is if the peer is limited to bridging or if you are using protocols other than TCP/IP or IPX.

•	Tips of configuring IP addresses


Tips on Configuring IP Addresses on PVCs

If you use IP over PVCs, the following information will help you configure IP addresses properly:

•	Configure each virtual circuit as an IP subnetwork. This means that the two ends of a PVC (the logical channels identified by DLCIs in frame relay and logical channel numbers in X.25) have the same network ID in their IP addresses.

•	Each virtual circuit on this NT system should use an IP address with a unique network ID.


Frame Relay Local Management Interface (Advanced)

DCE support

Checking this parameter means this system performs the frame relay switch function for the LMI protocol.

N4

Is the maximum number of status enquiries this system will accept during the period defined by the T3 parameter. When this number is exceeded, this system simply increments a diagnostic statistic.

Polling verification timer (T2)

Is the frequency in seconds with which this system expects to receive status enquires.

T3

Is the measurement interval in seconds for the N4 counter.


Frame Relay Permanent Virtual Circuit Properties (Advanced)

Network address

Is the MAC address for this PVC. Change this only if you are configuring SNA over this PVC. Then ensure that this virtual circuit and the peer do not use the same network address.

Mode one request retransmissions

Is the number of times to attempt to initiate FRF.9 compression negotiation with a peer. After reaching the value set here, attempts at negotiation are discontinued.

Allow Wan Links to manage advanced parameters

When this parameter is checked, defaults are used for the Excess burst size (Be) and Congestion monitoring period (CMP).

Excess burst size (Be)

Configures the maximum rate (bps) over the CIR to transmit on this virtual circuit. If your network provider supplies a value, use that here. Otherwise, the default will work satisfactorily.

Congestion monitoring period (CMP)

Configures the interval (measured in seconds) for checking for congestion. The default works for most systems.


LMI Properties

LMI revision

Configures the protocol used for exchange of line management information. Your selection must match the protocol used by the network.

Data link connection identifier (DLCI)

Identifies the virtual circuit used to exchange management information. Use the default, or see your network service provider for the DLCI to use.

Full status enquiry count (N1)

Configures the count of status enquires between system requests for a Full Status message from the network. The default works for most systems.

Error threshold (N2) and Monitored events count (N3)

Configures the error threshold (N2) and the monitored events count for this link. These parameters work together. If N2 errors occur in the course of handling N3 frames, the line is assumed down and diagnostic action initiated. The defaults work for most systems.

Status enquiry period (T1)

Configures the period (in seconds) between heartbeat polls sent by DataFire to the network. The default works for most systems.

Flow control

Enables flow control if you use the Stratacom LMI revision, which provides additional flow control to BECN and FECN. If you enable this parameter, DataFire responds to network congestion by throttling back its transmission rate.

Bandwidth control

Enables bandwidth control if you use the Stratacom revision. If you enable this parameter, the network switch instructs DataFire on the throughput rates to use on each PVC when the network is congested.


X.25 Line Properties

Line name

Is a name to assign the line for identification purposes. This names appears in the X.25 Routing table.

Line speed

Configures the line speed, measured in bits-per-second, which must match the speed ordered from your network provider.

External/Internal

Configures clocking for this line. Use external if this line is connected to a synchronous modem or another device that provides clocking.


LAPB Properties

Retransmission counter (N2)

Determines the maximum number of frame retransmissions to attempt following the expiration of the retransmission timer (T1). The default is 10, and the range 1 to 255. The count used by a DTE does not have to match the count used by the DCE.

Retransmission timer (T1)

Defines the period, in .1-second units, to wait for an acknowledgment of a transmitted frame. When T1 expires, the frame is retransmitted. The default is 10, and the range is 1 to 3000. The time used by a DTE does not have to match the time used by the DCE.

Acknowledgment timer (T2)

Determines the maximum delay allowed, in .1-second units, before an acknowledgment frame must be sent to ensure receipt prior to the expiration of the T1 timer at the other end of the link. The default is 4, and the range is 0 to 3000.

Idle timer (T3)

Defines the period, in .1-second units, that the line can remain idle before being considered in a non-active, non-operational state. When this timer expires, data-link setup procedures begin. Specifying zero disables this timer. The default is 250, and the range is 0 to 32,000. The time used by a DTE does not have to match the time used by the DCE.

Window size (k)

Configures the maximum number of unacknowledged data frames that can be sent before receiving an acknowledgment. Use this parameter with the Sequence numbering parameter below. For modulo 8 sequencing, the default is 7 and the range is 1 to 7. For modulo 128 sequencing, the default is 7 and the range is 1 to 127.

Sequence numbering

•	Basic (modulo 8), which is the default, configures modulo 8 sequencing.

•	Extended (modulo 128) configures modulo 128 sequencing


LAPB Network Properties

Ignore UA frames while in an error state

Directs the Digi adapter to ignore UA frames when the link is in an error state. If this line is configured for DDN, check this field. The default is not to ignore UA frames.

Reject FRMR frames while in an error state

Directs the Digi adapter to respond to frame reject (FRMR) frames when the link is in an error state by issuing a FRMR. If this line is configured for TELENET, check this field. The default is not to reject FRMR frames.

Reject invalid response frames while in an error state

Directs the Digi adapter to transmit a FRMR when the link is in an error state and an invalid frame response is received. If this line is configured for TELENET, check this field. The default is not to reject invalid response frames.

Reject supervisory command frames with the poll bit cleared

Directs the Digi adapter to respond with a FRMR when an S-frame without the poll bit set is received. If this line is configured for PSS, check this field. The default is not to reject S-frames with the poll bit cleared.

Bar outgoing DM frames in an ADM state

Directs the Digi adapter to not transmit a disconnect frame when the link enters the asynchronous disconnect state. If this line is configured for FIPS-compliant networks, check this field. The default is not to bar outgoing DM frames.


X.25  Properties (General)

Version

Specifies the version of the X.25 standard implemented on the network to which this system attaches.  1988 is the default.

Mode

Determines which of the following logical functions to perform:

•	DCE--Function as a network device.

•	DTE--Function as a user device attached to the network.

•	DXE--Negotiate with the peer as to which function (DTE or DCE) to perform.

Note: X.25 requires that one end of a connection function as a DCE and the other as a DTE.

Sequence numbering

Is the sequencing scheme for handling X.25 acknowledgments:

•	Basic (modulo 8), which is the default, configures modulo 8 sequencing.

•	Extended (modulo 128) configures modulo 128 sequencing.

Note: This field does not configure the permitted number of unacknowledged packets (called the window size), but simply the sequence numbering scheme. Use the default or use the Packet Properties page to configure window sizes.

Local address

Configures the line’s DTE address. Use the address the network assigned. The Digi configuration accepts up to 15 decimal digits.


X.25 Channels Properties

Permanent Virtual Circuits

Use this field to configure logical channels for PVCs.

•	Start identifies the lowest logical channel for PVCs.

•	Total identifies the number of logical channels for PVCs.

One-way incoming

Use this field to configure one-way, incoming logical channels for switched virtual circuits (SVCs).

•	Start identifies the lowest one-way, incoming logical channel.

•	Total identifies the number of one-way incoming logical channels.

Two-way

Use this field to configure two-way logical channels for SVCs.

•	Start identifies the lowest two-way logical channel.

•	Total identifies the number of two-way logical channels.

One-way outgoing

Use this field to configure one-way, outgoing logical channels for SVCs.

•	Start identifies the lowest one-way, outgoing logical channel.

•	Total identifies the number of one-way, outgoing logical channels.

Note: Ensure that the types of channels you configure on this page are compatible with the RAS configuration. For example, if you configure only one-way incoming channels here, ensure that the RAS configuration specifies Receive calls only.

Note: The network provides the channel numbers to use in these fields.  Logical channel numbers must be in the range 1 to 4095.


X.25 Counter Properties

Restart request (R20)

Configures the restart request retransmission count, which is the number of unacknowledged restart requests to attempt before giving up and turning over recovery to higher layers. The default is 1, and the range is 1 to 255.

Reset request (R22)

Configures the reset request retransmission count, which is the number of unsuccessful reset requests to attempt before giving up and issuing a restart request. The default is 1, and the range is 1 to 255.

Clear request (R23)

Configures the clear request retransmission count, which is the number of unsuccessful clear requests to attempt before giving up and issuing a restart request. The default is 1, and the range is 1 to 255.


X.25 International Call Properties

Prioritize international calls

Checking this parameter means that international calls should be prioritized.

Identify an international address by...

Configures recognition of international calls by one of the methods listed:

•	Comparing with DNIC of xxxx means that international calls will be identified by comparing the called DTE address with the DNIC specified.

•	An address starting with a 1 means that international calls will be identified by a 1 in the first position of the called DTE address.

•	An address starting with a 0, which means that international calls will be identified by a 0 in the first position of the called DTE address.

Assign priority using...

Configures the encoding scheme to use on priority calls. Select the encoding scheme used on your network.

Force packet size to xxxx

Checking this field means that all priority call requests will specify the packet size you enter in the associated field.


X.25 Packet Properties

Default packet size

Defines the preferred or default maximum X.25 packet. The default is 128 bytes. You can specify different values for Transmit and Receive defaults.

Maximum packet size

Determines the negotiated maximum packet size.  You can specify different values for Transmit and Receive.

Default window size

Configures a window-size preference. The default is 7, and the range is 1 to 7 for modulo 8 and 1 to 127 for modulo 128. You can specify different values for Transmit and Receive defaults.

Maximum window size

Determines the largest window size to agree to in negotiations. The default is 7. The range is 2 to 7 for modulo 8 and 2 to 127 for modulo 128 sequencing. You can specify different Transmit and Receive maximums.

Data packet concatenation limit

Defines the maximum length of data units passed from the adapter to the host computer. The adapter concatenates incoming packets with the more-data bit set into a single data unit. Setting a maximum length prevents buffer depletion; when the maximum is exceeded, concatenation stops and the data unit is passed to the host computer, which then performs the concatenation.


X.25 Timer Properties

Acknowledgment delay

Defines the maximum amount of time, in .1-second units, before an acknowledgment frame must be sent. The default is 5, and the range is 32000.

Restart request (T20)

Configures the maximum time, in .1-second units, to wait for a restart confirmation or restart indication before issuing another restart request. The default is 1800, and the range is 1 to 32,000.

Call request (T21)

Configures the maximum time, in .1-second units, to wait for a response to a call request--a call connected or clear indication packet--before issuing another call request. The default is 2000, and the range is 0 to 32000.

Reset request (T22)

Configures the maximum time, in .1-second units, to wait for a response to a reset request--a reset confirmation or reset indication packet--before issuing another reset request. The default is 1800, and the range is 0 to 32,000.

Clear request (T23)

Configures the maximum time, in .1-second units, to wait for a response to a clear request--a clear confirmation or clear indication packet--before issuing another clear request. The default is 1800, and the range is 0 to 32,000.

Window status transmit (T24)

Configures the time, in .1-second units, to wait to acknowledge received packets because the peer is experiencing flow control problems. When this timer expires, an outstanding acknowledgment in a receive-not-ready packet is sent. This timer ensures that the unacknowledged packets do not cause a virtual circuit reset. The default is 750, and the range is 0 to 32,000.

Window rotation (T25)

Configures the window rotation timer, which is the maximum time in .1-second units to wait to update the receive sequence to reopen the transmission window. (Delaying this reopening is a flow control method.) The default is 1500, and the range is 0 to 32,000.

Interrupt response (T26)

Configures the interrupt response timer, which is the maximum time in .1-second units to wait for a response to an interrupt packet--a DCE interrupt confirmation packet--before issuing another interrupt packet. The default is 1800, and the range is 0 to 32000.


X.25 Throughput Class Properties

Minimum

Configures the minimum throughput (in bps) that this system will negotiate.

Default

Configures the throughput (in bps) that this system will attempt to negotiate.

Maximum

Configures the maximum throughput (in bps) that this system will negotiate.


X.25 Throughput Class Properties (Advanced)

Negotiation type

Determines the type of throughput class negotiation this system uses. If you configure this parameter, use the type used by your network.

Window map

Configures a relationship between a throughput rate and the window size. When modulo 8 sequencing is configured, the range is 0 to 7. When modulo 128 is configured, the range is 0 to 127.

Packet map

Determines the packet size to negotiate for a particular throughput level.

How to Configure Packet and Window Maps


X.25 Network Properties

Network

Determines various network-specific X.25 operating characteristics. Specify the network or network type over which this system will communicate.

Diagnostic packets

Determines how to handle diagnostic packets:

•	Allow received diagnostic packets means accept incoming diagnostic packets. This is the default.

•	Discard if received on a non-zero logical channel means that diagnostics packets that arrive on a logical channel other than zero will be discarded.

•	Send diagnostic packets means that this system is allowed to send diagnostic packets.

Diagnostic byte

Determines whether to include a diagnostic byte in clear, restart, and reset packets. Some networks allow this byte and others do not.

Throughput class negotiation

Determines the type of throughput class negotiation to perform:

•	Use X.25 procedures means negotiate according to the procedures defined in the X.25 specification, that is, toward the lower of either the requested value or the default value.

•	Negotiate toward defaults means negotiate toward the value closest to the default. This setting is typically used when connecting to a TELENET network.


X.25 Facilities

Reverse charging

Determines whether to use reverse charging:

•	Accept on incoming calls means that incoming calls requesting reverse charging will be accepted and charged to this site.

•	Refuse on incoming calls means that incoming calls requesting reverse charging will not be accepted. This is the default.

•	Force on outbound calls means that this site will refuse reverse charging on inbound calls and request reverse charging on outbound calls, so that this site will never be charged for calls.

Window and packet sizes

Determines whether to negotiate window and packet sizes.

•	Use defaults means that this system will not negotiate window and packet sizes.

•	Reject negotiation requests means that this system will reject incoming calls that attempt to negotiate window and packet sizes.

•	Negotiate means that this system will both initiate and respond to requests for window and packet size negotiation.

Enable fast select

Determines whether to accept incoming calls requesting the fast select facility, which enables this system to:

•	Send call request packets with up to 128 bytes of user data.

•	Accept incoming call and clear indication packets with up to 128 bytes of user data

Call management

Determines how calls will be handled on this line:

•	No restriction means that both incoming and outgoing calls can use this line. This is the default.

•	Bar incoming calls means that incoming calls cannot use this line.

•	Bar outgoing calls means that outgoing calls cannot use this line.

TOA/NPI addressing format

Configures whether to support the type of address (TOA) and numbering plan identification (NPI) facility, which allows addresses up to 17 digits and can be used for alternative addresses, such as IP addresses.

•	Accept means that incoming calls will include the TOA.

•	Ignore means that the calling address of incoming calls will be set to zero, which means the real address is ignored.

•	Refuse means that incoming calls using this facility are rejected.


X.25 Permanent Virtual Circuit Properties (Advanced)

Network address

Is the MAC address for this PVC. Use this parameter when you intend to run SNA protocols over this PVC. Ensure that the network address for this adapter is different from the one used on the peer at the other end of this PVC.

Allow to manage advanced parameters

Checking this means that this system uses the default packet and window values on the X.25 Packet Properties page for this PVC.

Packet size

Defines the preferred or default maximum X.25 packet for this PVC. You can specify different values for Transmit and Receive defaults.

Window size

Configures a window-size preference for this PVC. You can specify different values for Transmit and Receive defaults.


X.25 Outbound Call Routing Table Properties

Address

Can be one of the following: (1) The complete address of a remote DTE (2) A partial address and then a wildcard character, which identifies a set of DTEs.

Wildcard characters are the following

•	*, which means that this system uses the DTE digits supplied and any number of additional digits to determine if this address uses this adapter and line

•	?, which means that the last digit can be any single digit (0 through 9)

•	Example: 5114* means all addresses beginning with 5114, such as 51149999, 51448, and 511408.

•	Example: 5114? means all addresses that start with 5114 and have one additional digit. Examples include 51149, 51148, and 51142.

For more information, see Routing Table Rules

Line name

Is the name of the line assigned on the Line Properties pages.


X.25 Permanent Virtual Circuit Properties

Channel

Configures the channel number for this PVC.

Description

Provides a description or a name for this PVC to make the PVC easily identifiable.

IP address

Is the IP address for this PVC. Tips on IP Addresses

Subnet mask

Is the subnet mask for this PVC.


X.25 Network Properties (Advanced)

Call accept received

Configures how to respond to incoming call accept packets with the D-bit set.

Data packet received

Configures how to responds to incoming data packets with the D-bit set.


X.25 Permanent Virtual Circuit (Access)

Add

Allows you to add a permanent virtual circuit.

Clone

Allows you to copy the configurable attributes of a previously defined PVC to another PVC.

Configure

Provides access to the selected PVC’s configuration page.

Remove

Allows you to remove the selected PVC.

____________________________________________________________________________

Channel

Is the channel number that identifies the PVC.

IP address

Is the IP address for this PVC.

Subnet mask

Is the subnet mask for this PVC.


X.25 Outbound Call Routing (Access )

Add

Allows you to add an entry to the routing table.

Configure

Allows you to configure the selected routing entry.

Remove

Allows you to remove the selected routing entry.

Move up/Move down

Allows you to move items up and down in the routing table. The order in which items appear is significant in that the first item that satisfies the routing criteria will be used.


How the X.25 Routing Table Works

Here are some rules that may help you configure the routing table correctly:

•	The routing table is used to initiate outgoing calls over SVCs only.

•	If you configure only a single X.25 line, the default is to route all outbound calls to that line.

•	If you configure more than one X.25 line (even if they are on different adapters), you must configure the routing table. If a routing table entry for a remote DTE’s address cannot be found, the call is rejected.

•	Wildcard characters can appear at the end of addresses only.

•	The routing table is parsed from top to bottom and the first entry that satisfies routing criteria is used. Consequently, the order of entries is important.


How to Configure Packet and Window Maps

1.	Select a negotiation type.

2.	Select a throughput rate.

3.	Press the Change button.

4.	For window maps, specify a window size, and press the OK button.

5. 	For packet maps, specify a packet size.


Sequence Numbering

Choose one of the following:

•	Basic (modulo 8), which is the default, configures modulo 8 sequencing.

•	Extended (modulo 128) configures modulo 128 sequencing.


Line Properties

Line name

Is a name to assign the line for identification purposes. This names appears in the Routing table.

Line speed

Configures the line speed, measured in bits-per-second, which must match the speed ordered from your network provider.

External/Internal

Configures clocking for this line. Use external if this line is connected to a synchronous modem or another device that provides clocking.


Clocking

Configures clocking for this line. Use external if this line is connected to a synchronous modem or another device that provides clocking.


Electrical Interface

Configures line speed and clocking for this line. Use external clocking if this line is connected to a synchronous modem or another device that provides clocking.


NRZ or NRZI

Select the line encoding method ordered from your network service provider.


Multiple Subscriber Numbers

Add and remove multiple subscriber numbers. With multiple subscriber numbers, you can assign up to seven telephone numbers to this BRI connection.

To Add a Multiple Subscriber Number

1.	Type in the number.

2.	Press the Add button.

To Remove a Multiple Subscriber Number

1.	Select the number to remove.

2.	Press the Remove button.


Advanced

Address Type/Numbering Plan

Typically, you will not need to change these parameters. The default, Unknown, works in most cases. Some switches, however, will require one of the other choices.  Your network service provider should know if these settings need to be changed.

Subaddress Type

Typically, you will not need to change this parameter. The default, NSAP, works in most cases. Some switches, however, will require the User setting. Your network service provider can tell you  if this setting needs to be changed.

Back to Back

Check this option if you want to connect two RAS B adapters together with a cable. You must specify one side of the connection as the TE and the other as the NT.


Multiple Subscriber Numbers

Add and remove multiple subscriber numbers. With multiple subscriber numbers, you can assign up to seven telephone numbers to this BRI connection.

To Add a Multiple Subscriber Number

1.	Type in the number.

2.	Press the Add button.

To Remove a Multiple Subscriber Number

1.	Select the number to remove.

2.	Press the Remove button.